## plasma-desktop 5.27.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-desktop)

set(PROJECT_VERSION "5.27.12")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")
set(ACCOUNTSQT_DEP_VERSION "1.13")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMFindQmlModule)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(KDEClangFormat)
include(KDEGitCommitHooks)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Quick
    QuickWidgets
    DBus
    Widgets
    Svg
    Concurrent
)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS WaylandClient)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS X11Extras)

    find_package(QtWaylandScanner)
    set_package_properties(QtWaylandScanner PROPERTIES
        TYPE REQUIRED
        PURPOSE "Required for building KWin with Wayland support"
    )
endif()

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Crash
    Plasma
    PlasmaQuick
    DocTools
    I18n
    KCMUtils
    NewStuff
    NewStuffQuick
    KIO
    Notifications
    NotifyConfig
    Attica
    Runner
    GlobalAccel
    CoreAddons # KSharedDataCache required by KImageCache, KStringHandler required by FolderModel
    GuiAddons # KImageCache
    Declarative
    DBusAddons
    Activities
    ActivitiesStats
    Config
    WidgetsAddons
    Codecs
    Sonnet
    Package
)
if (QT_MAJOR_VERSION EQUAL "5")
    find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS KDELibs4Support) # kcms/dateandtime
endif()

find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)

set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES
    DESCRIPTION "Accounts management library for Qt applications"
    URL "https://gitlab.com/accounts-sso/libaccounts-qt"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(KAccounts 20.04)
set_package_properties(KAccounts PROPERTIES
    DESCRIPTION "Accounts management library for KDE applications"
    PURPOSE "Required for building the OpenDesktop integration plugin"
    TYPE OPTIONAL
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(SignOnOAuth2 IMPORTED_TARGET signon-oauth2plugin)
set_package_properties(signon-oauth2plugin PROPERTIES
    DESCRIPTION "Plugin for SignOnQt${QT_MAJOR_VERSION} which handles OAuth and OAuth2 logins"
    URL "https://gitlab.com/accounts-sso/signon-plugin-oauth2"
    PURPOSE "Required for running the OpenDesktop integration plugin"
    TYPE RUNTIME
)

find_package(KF5Kirigami2 ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION} CONFIG)
set_package_properties(KF5QQC2DesktopStyle PROPERTIES
    DESCRIPTION "QtQuickControls 2 style that uses QWidget's QStyle for painting"
    PURPOSE "Required at runtime by many KCMs"
    TYPE RUNTIME
)

find_package(WaylandProtocols 1.25)
set_package_properties(WaylandProtocols PROPERTIES
    TYPE REQUIRED
    PURPOSE "Collection of Wayland protocols that add functionality not available in the Wayland core protocol"
    URL "https://gitlab.freedesktop.org/wayland/wayland-protocols/"
)
find_package(Wayland 1.2)
set_package_properties(Wayland PROPERTIES
    TYPE REQUIRED
    PURPOSE "Required for building Tablet input KCM"
)

find_package(LibKWorkspace ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibNotificationManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(LibColorCorrect ${PROJECT_VERSION} CONFIG REQUIRED)
find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)
find_package(KRunnerAppDBusInterface CONFIG REQUIRED)
find_package(KSMServerDBusInterface CONFIG REQUIRED)
find_package(KF5ItemModels CONFIG REQUIRED)
find_package(KSysGuard CONFIG REQUIRED)
find_package(KDED CONFIG REQUIRED)

find_package(KF5Baloo ${KF5_MIN_VERSION})
set_package_properties(KF5Baloo PROPERTIES
    DESCRIPTION "File Searching"
    PURPOSE "Needed to build the File Search KCM"
    TYPE RECOMMENDED
)

find_package(X11)
set_package_properties(X11 PROPERTIES
    DESCRIPTION "X11 libraries"
    URL "https://www.x.org"
    PURPOSE "Required for building the X11 based workspace"
    TYPE REQUIRED
)

if(X11_FOUND)
  set(HAVE_X11 1)
endif()

find_package(UDev)
set_package_properties(UDev PROPERTIES
    DESCRIPTION "API for enumerating and introspecting local devices (part of systemd)"
    URL "https://www.freedesktop.org/wiki/Software/systemd/"
    PURPOSE "Required for device discovery in keyboard daemon"
    TYPE OPTIONAL
)

find_package(XCB
    REQUIRED COMPONENTS
        XCB SHM IMAGE
    OPTIONAL_COMPONENTS
        XKB XINPUT ATOM RECORD
)

find_package(X11_XCB)
set_package_properties(X11_XCB PROPERTIES
    PURPOSE "Required for needed for touchpad KCM (X11 backend)"
    TYPE OPTIONAL
)

set_package_properties(XCB PROPERTIES TYPE REQUIRED)
add_feature_info("XCB-XKB" XCB_XKB_FOUND "Required for building kcm/keyboard")
add_feature_info("libxft" X11_Xft_FOUND "X FreeType interface library required for font installation")

pkg_check_modules(XORGLIBINPUT xorg-libinput IMPORTED_TARGET)
pkg_check_modules(EVDEV xorg-evdev>=2.8.99.1 IMPORTED_TARGET)
pkg_check_modules(XORGSERVER xorg-server IMPORTED_TARGET)

ecm_find_qmlmodule(org.kde.pipewire 0.1)

find_package(Synaptics)
set_package_properties(Synaptics PROPERTIES TYPE OPTIONAL)
add_feature_info("Synaptics" SYNAPTICS_FOUND "Synaptics libraries are needed for the synaptics touchpad KCM")

if(SYNAPTICS_FOUND)
    set(HAVE_SYNAPTICS 1)
endif()

if(XORGLIBINPUT_FOUND)
  set(HAVE_XORGLIBINPUT 1)
endif()

include(ConfigureChecks.cmake)

find_package(PackageKitQt${QT_MAJOR_VERSION})
set_package_properties(PackageKitQt${QT_MAJOR_VERSION} PROPERTIES
    DESCRIPTION "Software Manager integration"
    PURPOSE "Used in the KRunner plugin installer"
    TYPE OPTIONAL
)

if(PackageKitQt${QT_MAJOR_VERSION}_FOUND)
    set(HAVE_PACKAGEKIT TRUE)
endif()

find_package(GLIB2)
set_package_properties(GLIB2 PROPERTIES
    PURPOSE "Required for building kimpanel"
    TYPE OPTIONAL
)

# For kimpanel
pkg_check_modules(IBUS "ibus-1.0>=1.5.0" IMPORTED_TARGET)
pkg_check_modules(GOBJECT gobject-2.0 IMPORTED_TARGET)
pkg_check_modules(SCIM scim IMPORTED_TARGET)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX PLASMA VERSION_HEADER plasma_version.h)

include_directories("${CMAKE_CURRENT_BINARY_DIR}")

configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
configure_file(config-X11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-X11.h)

plasma_install_package(desktoppackage org.kde.plasma.desktop shells shell)

add_subdirectory(layout-templates)

add_subdirectory(doc)
add_subdirectory(runners)
add_subdirectory(containments)
add_subdirectory(toolboxes)
add_subdirectory(applets)
add_subdirectory(kcms)
add_subdirectory(knetattach)
if(KAccounts_FOUND AND AccountsQt${QT_MAJOR_VERSION}_FOUND)
    add_subdirectory(attica-kde)
endif()
add_subdirectory(imports/activitymanager/)
add_subdirectory(solid-device-automounter)
add_subdirectory(emojier)
if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory(kaccess)
endif()
install(FILES org.kde.plasmashell.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(XdgUserDir)
set_package_properties(XdgUserDir PROPERTIES
    DESCRIPTION "Xdg-user-dir script"
    PURPOSE "Used to translate default paths in KCM desktoppath"
    TYPE RUNTIME
)

ki18n_install(po)
kdoctools_install(po)

=== kaccess/CMakeLists.txt ===
# KI18N Translation Domain for this application
add_definitions(-DTRANSLATION_DOMAIN=\"kaccess\")

find_package(Phonon4Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE)

set(kaccess_SRCS kaccess.cpp main.cpp )

add_executable(kaccess ${kaccess_SRCS})

target_link_libraries(kaccess
    kaccess_settings
    Qt::Widgets
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Completion
    KF5::GlobalAccel
    KF5::I18n
    KF5::Notifications
    KF5::WidgetsAddons
    KF5::WindowSystem
    KF5::DBusAddons
    Phonon::phonon4qt${QT_MAJOR_VERSION}
    X11::X11
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(kaccess Qt::X11Extras)
else()
    target_link_libraries(kaccess Qt::GuiPrivate)
endif()

install(TARGETS kaccess ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES kaccess.desktop  DESTINATION  ${KDE_INSTALL_AUTOSTARTDIR} )
install( FILES kaccess.notifyrc  DESTINATION  ${KDE_INSTALL_KNOTIFYRCDIR} )

=== applets/taskmanager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.taskmanager\")

plasma_install_package(package org.kde.plasma.taskmanager)

set(taskmanagerplugin_SRCS
    plugin/backend.cpp
    plugin/draghelper.cpp
    plugin/taskmanagerplugin.cpp

    plugin/smartlaunchers/smartlauncherbackend.cpp
    plugin/smartlaunchers/smartlauncheritem.cpp
)

kconfig_add_kcfg_files(taskmanagerplugin_SRCS ${CMAKE_SOURCE_DIR}/kcms/recentFiles/kactivitymanagerd_plugins_settings.kcfgc)

ecm_qt_declare_logging_category(taskmanagerplugin_SRCS
    HEADER log_settings.h
    IDENTIFIER TASKMANAGER_DEBUG
    CATEGORY_NAME org.kde.plasma.taskmanager)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

add_library(taskmanagerplugin SHARED ${taskmanagerplugin_SRCS})

# FIXME Cleanup no longer used libs.
target_link_libraries(taskmanagerplugin
                      Qt::Core
                      Qt::DBus
                      Qt::Qml
                      Qt::Quick
                      KF5::Activities
                      KF5::ActivitiesStats
                      KF5::I18n
                      KF5::KIOCore
                      KF5::KIOGui
                      KF5::KIOFileWidgets # KFilePlacesModel
                      KF5::Notifications # KNotificationJobUiDelegate
                      KF5::Plasma
                      KSysGuard::ProcessCore
                      KF5::Service
                      KF5::WindowSystem
                      PW::LibNotificationManager)

install(TARGETS taskmanagerplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

=== kcms/access/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmaccess\")

set(kcm_access_PART_SRCS kcmaccess.cpp )

add_library(kaccess_settings STATIC)
set_property(TARGET kaccess_settings PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(kaccess_settings PUBLIC Qt::Core KF5::ConfigGui)

kconfig_add_kcfg_files(kaccess_settings
    kcmaccessibilitybell.kcfgc
    kcmaccessibilitykeyboard.kcfgc
    kcmaccessibilitykeyboardfilters.kcfgc
    kcmaccessibilitymouse.kcfgc
    kcmaccessibilityscreenreader.kcfgc
    GENERATE_MOC)

kcmutils_generate_module_data(
    kcm_access_PART_SRCS
    MODULE_DATA_HEADER kcmaccessibilitydata.h
    MODULE_DATA_CLASS_NAME AccessibilityData
    SETTINGS_HEADERS kcmaccessibilitybell.h kcmaccessibilitykeyboard.h kcmaccessibilitykeyboardfilters.h kcmaccessibilitymouse.h kcmaccessibilityscreenreader.h
    SETTINGS_CLASSES BellSettings KeyboardSettings KeyboardFiltersSettings MouseSettings ScreenReaderSettings
)

kcoreaddons_add_plugin(kcm_access SOURCES ${kcm_access_PART_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")
kcmutils_generate_desktop_file(kcm_access)

target_link_libraries(kcm_access
    kaccess_settings
    Qt::DBus
    KF5::KCMUtils
    KF5::CoreAddons
    KF5::Declarative
    KF5::GuiAddons
    KF5::I18n
    KF5::NewStuff
    KF5::QuickAddons
    KF5::WindowSystem
    KF5::NotifyConfig
    X11::X11
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(kcm_access Qt::X11Extras)
else()
    target_link_libraries(kcm_access Qt::GuiPrivate)
endif()

install(
    FILES
        kcmaccessibilitybell.kcfg
        kcmaccessibilitykeyboard.kcfg
        kcmaccessibilitymouse.kcfg
        kcmaccessibilityscreenreader.kcfg
    DESTINATION
        ${KDE_INSTALL_KCFGDIR}
)

kpackage_install_package(package kcm_access kcms)

=== kcms/keys/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_keys\")

set(kcm_keys_SRCS
    basemodel.cpp
    kcm_keys.cpp
    filteredmodel.cpp
    globalaccelmodel.cpp
    shortcutsmodel.cpp
    standardshortcutsmodel.cpp
    keysdata.cpp
    )

set(kglobalaccel_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf5_org.kde.KGlobalAccel.xml)
set_source_files_properties(${kglobalaccel_xml} PROPERTIES
    INCLUDE "kglobalaccel.h"
    NO_NAMESPACE TRUE
    CLASSNAME "KGlobalAccelInterface"
)
qt_add_dbus_interface(kcm_keys_SRCS ${kglobalaccel_xml} kglobalaccel_interface)

set(kglobalaccel_component_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf5_org.kde.kglobalaccel.Component.xml)
set_source_files_properties(${kglobalaccel_component_xml} PROPERTIES
    INCLUDE "kglobalaccel.h"
    NO_NAMESPACE TRUE
    CLASSNAME "KGlobalAccelComponentInterface"
)
qt_add_dbus_interface(kcm_keys_SRCS ${kglobalaccel_component_xml} kglobalaccel_component_interface)


ecm_qt_declare_logging_category(kcm_keys_SRCS
    HEADER kcmkeys_debug.h
    IDENTIFIER KCMKEYS
    CATEGORY_NAME org.kde.kcm_keys
    EXPORT KCMKEYS
    DESCRIPTION "System Settings - Global Shortcuts"
)

ecm_qt_install_logging_categories(
    EXPORT KCMKEYS
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)


kcoreaddons_add_plugin(kcm_keys SOURCES ${kcm_keys_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings")
kcmutils_generate_desktop_file(kcm_keys)

target_link_libraries(kcm_keys
    Qt::DBus
    KF5::ConfigGui
    KF5::GlobalAccel
    KF5::I18n
    KF5::KCMUtils
    KF5::KIOWidgets
    KF5::QuickAddons
)

kpackage_install_package(package kcm_keys kcms)

install(FILES
    schemes/kde3.kksrc
    schemes/kde4.kksrc
    schemes/mac4.kksrc
    schemes/unix3.kksrc
    schemes/win3.kksrc
    schemes/win4.kksrc
    schemes/wm3.kksrc
    DESTINATION  ${KDE_INSTALL_DATADIR}/kcmkeys
)

=== kcms/libkwindevices/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

ecm_qt_declare_logging_category(kwindevices_SRCS
    HEADER
        logging.h
    IDENTIFIER
        LIBKWINDEVICES
    CATEGORY_NAME
        org.kde.libkwindevices
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "Library for kwin devices"
    EXPORT
        libkwindevices
)

qt_add_dbus_interface(kwindevices_SRCS "${KWIN_INPUTDEVICE_INTERFACE}" InputDevice_interface)

add_library(kwindevices STATIC ${kwindevices_SRCS} devicesmodel.cpp inputdevice.cpp)
set_property(TARGET kwindevices PROPERTY POSITION_INDEPENDENT_CODE ON)
target_link_libraries(kwindevices
    Qt::Core
    Qt::DBus
)

=== kcms/tablet/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_tablet\")

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(common_SRCS
    HEADER
        logging.h
    IDENTIFIER
        KCM_TABLET
    CATEGORY_NAME
        kcm_tablet
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "KCM for tablet input"
    EXPORT
        kcm_tablet
)
kcoreaddons_add_plugin(kcm_tablet INSTALL_NAMESPACE "plasma/kcms/systemsettings")
if (QT_MAJOR_VERSION EQUAL "5")
    ecm_add_qtwayland_client_protocol(common_SRCS
        PROTOCOL ${WaylandProtocols_DATADIR}/unstable/tablet/tablet-unstable-v2.xml
        BASENAME tablet-unstable-v2
    )
else()
    qt6_generate_wayland_protocol_client_sources(kcm_tablet FILES
        ${WaylandProtocols_DATADIR}/unstable/tablet/tablet-unstable-v2.xml)
endif()
ecm_qt_install_logging_categories(
    EXPORT kcm_tablet
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

kcmutils_generate_desktop_file(kcm_tablet)

target_sources(kcm_tablet PRIVATE
    ${common_SRCS}
    kcmtablet.cpp
    tabletevents.cpp
)

target_link_libraries(kcm_tablet
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    KF5::QuickAddons

    Qt::DBus
    Qt::WaylandClient
    Qt::GuiPrivate
    Wayland::Client
    kwindevices
)

kpackage_install_package(package kcm_tablet kcms)

=== kcms/touchpad/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_touchpad\")

add_subdirectory(icon)

SET(TOUCHPAD_SRCS
    actions.cpp
    touchpadbackend.cpp
    logging.cpp
    touchpadparametersbase.cpp
)

include(backends/x11.cmake)
include(backends/kwin_wayland.cmake)

qt_add_dbus_interfaces(TOUCHPAD_SRCS
                        ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
)

qt_generate_dbus_interface(kded/kded.h org.kde.touchpad.xml)

kconfig_add_kcfg_files(TOUCHPAD_SRCS kdedsettings.kcfgc)
kconfig_add_kcfg_files(TOUCHPAD_SRCS touchpadparameters.kcfgc)

add_library(touchpad STATIC ${TOUCHPAD_SRCS} ${backend_SRCS})

set_property(TARGET touchpad PROPERTY POSITION_INDEPENDENT_CODE ON)

target_link_libraries(touchpad
    PUBLIC
    Qt::Core
    KF5::XmlGui
    PRIVATE
    ${backend_LIBS}
    Qt::DBus
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::WindowSystem
    KF5::I18n
    KF5::GlobalAccel
)
if (QT_MAJOR_VERSION EQUAL "5")
    target_link_libraries(touchpad PRIVATE Qt5::X11Extras)
else()
    target_link_libraries(touchpad PRIVATE Qt::GuiPrivate)
endif()

add_subdirectory(kcm)
add_subdirectory(kded)
add_subdirectory(applet)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.touchpad.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
)

=== kcms/touchscreen/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_touchscreen\")

include(ECMQtDeclareLoggingCategory)
ecm_qt_declare_logging_category(common_SRCS
    HEADER
        logging.h
    IDENTIFIER
        KCM_TOUCHSCREEN
    CATEGORY_NAME
        kcm_touchscreen
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "KCM for touchscreen input"
    EXPORT
        kcm_touchscreen
)
kcoreaddons_add_plugin(kcm_touchscreen INSTALL_NAMESPACE "plasma/kcms/systemsettings")

ecm_qt_install_logging_categories(
    EXPORT kcm_touchscreen
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

kcmutils_generate_desktop_file(kcm_touchscreen)

target_sources(kcm_touchscreen PRIVATE
    ${common_SRCS}
    kcmtouchscreen.cpp
)

target_link_libraries(kcm_touchscreen
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    KF5::QuickAddons

    Qt::DBus
    kwindevices
)

kpackage_install_package(package kcm_touchscreen kcms)

=== runners/kwin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="plasma_runner_kwin")

kcoreaddons_add_plugin(krunner_kwin SOURCES kwin-runner.cpp kwin-runner.h INSTALL_NAMESPACE kf${QT_MAJOR_VERSION}/krunner)
target_link_libraries(krunner_kwin
                        Qt::DBus
                        KF5::KIOCore
                        KF5::I18n
                        KF5::Runner)

=== solid-device-automounter/kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kcm5_device_automounter\")

set(kcm_device_automounter_SRCS DeviceAutomounterKCM.cpp DeviceModel.cpp DeviceAutomounterKCM.h DeviceModel.h)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

ki18n_wrap_ui(kcm_device_automounter_SRCS DeviceAutomounterKCM.ui)

kcmutils_generate_module_data(
    kcm_device_automounter_SRCS
    MODULE_DATA_HEADER DeviceAutomounterData.h
    MODULE_DATA_CLASS_NAME DeviceAutomounterData
    SETTINGS_HEADERS AutomounterSettings.h
    SETTINGS_CLASSES AutomounterSettings
)

kconfig_add_kcfg_files(kcm_device_automounter_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/DeviceSettings.kcfgc
    ${CMAKE_CURRENT_SOURCE_DIR}/../lib/AutomounterSettingsBase.kcfgc
    ${CMAKE_CURRENT_SOURCE_DIR}/LayoutSettings.kcfgc
)


add_library(kcm_device_automounter MODULE ${kcm_device_automounter_SRCS} ${device_automounter_lib_SRCS})

target_link_libraries(kcm_device_automounter
                      Qt::DBus
                      KF5::CoreAddons
                      KF5::KCMUtils
                      KF5::ConfigWidgets
                      KF5::Service
                      KF5::I18n
                      KF5::Solid)

install(TARGETS kcm_device_automounter DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets)

=== kcms/touchpad/kcm/CMakeLists.txt ===
set(KCM_TOUCHPAD_SRCS
    touchpadconfigcontainer.cpp
    touchpadconfigplugin.cpp
    libinput/touchpadconfiglibinput.cpp
    xlib/customslider.cpp
    xlib/sliderpair.cpp
    xlib/testarea.cpp
    xlib/testbutton.cpp
    xlib/touchpadconfigxlib.cpp
    xlib/customconfigdialogmanager.cpp
    resources.qrc
)

ki18n_wrap_ui(KCM_TOUCHPAD_SRCS
    xlib/ui/pointermotion.ui
    xlib/ui/tap.ui
    xlib/ui/scroll.ui
    xlib/ui/sensitivity.ui
    xlib/ui/kded.ui
    xlib/ui/testarea.ui
)

add_library(kcm_touchpad MODULE ${KCM_TOUCHPAD_SRCS})
kcmutils_generate_desktop_file(kcm_touchpad)

target_link_libraries(kcm_touchpad
    PRIVATE
    Qt::Core
    Qt::Widgets
    Qt::Quick
    Qt::QuickWidgets
    Qt::DBus
    KF5::CoreAddons
    KF5::I18n
    KF5::Completion
    KF5::ConfigWidgets
    KF5::Plasma
    KF5::WindowSystem
    KF5::NotifyConfig
    KF5::XmlGui
    touchpad
)

install(TARGETS kcm_touchpad
        DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings
)

add_custom_command(TARGET kcm_touchpad POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E create_symlink ../kcms/systemsettings/kcm_touchpad.so kcm_touchpad_init.so)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcm_touchpad_init.so DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcminit)

=== debian/changelog ===
plasma-desktop (4:5.27.12-0ubuntu0.1) noble; urgency=medium

  * New upstream bugfix release. (LP: #2093184)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 23 Jan 2025 04:59:06 -0700

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: baloo-kf5-dev (>= 5.102.0~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               intltool,
               kded5-dev (>= 5.102.0~),
               kinit-dev (>= 5.102.0~),
               kirigami2-dev (>= 5.102.0~),
               kscreenlocker-dev (>= 5.27.11~),
               kuserfeedback-dev,
               kwin-dev (>= 4:5.27.11~),
               libaccounts-qt5-dev (>= 1.13~),
               libboost-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libkaccounts-dev (>= 4:20.04~),
               libkf5activities-dev (>= 5.102.0~),
               libkf5activitiesstats-dev (>= 5.102.0~),
               libkf5attica-dev (>= 5.102.0~),
               libkf5auth-dev (>= 5.102.0~),
               libkf5codecs-dev (>= 5.102.0~),
               libkf5config-dev (>= 5.102.0~),
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5crash-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5declarative-dev (>= 5.102.0~),
               libkf5doctools-dev (>= 5.102.0~),
               libkf5globalaccel-dev (>= 5.102.0~),
               libkf5guiaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5itemmodels-dev (>= 5.102.0~),
               libkf5kcmutils-dev (>= 5.102.0~),
               libkf5kdelibs4support-dev (>= 5.102.0~),
               libkf5kio-dev (>= 5.102.0~),
               libkf5newstuff-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5notifyconfig-dev (>= 5.102.0~),
               libkf5package-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5runner-dev (>= 5.102.0~),
               libkf5sonnet-dev (>= 5.102.0~),
               libkf5sysguard-dev (>= 4:5.27.11~),
               libkf5widgetsaddons-dev (>= 5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               libkf5xmlgui-dev (>= 5.102.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev (>= 4.6.60),
               libphonon4qt5experimental-dev,
               libqt5svg5-dev (>= 5.15.2~),
               libqt5waylandclient5-dev (>= 5.15.2~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libscim-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               pkg-kde-tools (>= 0.15.18~),
               pkgconf,
               plasma-workspace-dev (>= 4:5.27.12~),
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:5.27.12~),
         kactivitymanagerd (>= 5.27.10~),
         kde-cli-tools (>= 4:5.27.12~),
         kded5,
         kio,
         layer-shell-qt (>= 5.27.10~),
         oxygen-sounds (>= 4:5.27.10~),
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-integration (>= 5.27.10~),
         plasma-workspace (>= 4:5.27.12~),
         polkit-kde-agent-1 (>= 4:5.27.10~),
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-pipewire,
         qml-module-org-kde-qqc2desktopstyle (>= 5.58.0~),
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qt-labs-settings,
         xdg-user-dirs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:5.27.10~),
            breeze-gtk-theme (>= 5.27.12~),
            fonts-hack,
            fonts-noto-cjk,
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-noto-unhinted,
            ibus-data,
            kde-config-gtk-style (>= 4:5.27.12~),
            kde-config-screenlocker (>= 5.27.10~),
            kde-config-sddm (>= 4:5.27.10~),
            kde-style-oxygen-qt5 (>= 4:5.27.10~),
            kgamma5 (>= 5.27.10~),
            khelpcenter,
            khotkeys (>= 4:5.27.10~),
            kinfocenter (>= 4:5.27.12~),
            kio-extras,
            kmenuedit (>= 4:5.27.10~),
            kscreen (>= 4:5.27.10~),
            ksshaskpass (>= 4:5.27.10~),
            kwin-x11 (>= 4:5.27.10~) | kwin (>= 4:5.27.10~),
            kwrited (>= 4:5.27.10~),
            libpam-kwallet5 (>= 5.27.10~),
            plasma-browser-integration (>= 5.27.10~),
            plasma-discover (>= 5.27.12~),
            plasma-disks (>= 5.27.10~),
            plasma-firewall (>= 5.27.10~),
            plasma-nm (>= 4:5.27.10~),
            plasma-pa (>= 4:5.27.10~),
            plasma-systemmonitor (>= 5.27.10~),
            plasma-thunderbolt (>= 5.27.10~),
            plasma-vault (>= 5.27.10~),
            powerdevil (>= 4:5.27.10~),
            systemsettings (>= 4:5.27.10~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 5.27.10~),
Suggests: kde-config-flatpak (>= 4:5.27.10~),
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.17.5~),
        user-manager (<< 4:5.20),
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.17.5~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends},
Recommends: plasma-framework (>= 4:5.27.10~),
            plasma-workspace (>= 4:5.27.12~),
            qml-module-org-kde-activities,
            qml-module-org-kde-kwindowsystem,
            qml-module-org-kde-newstuff,
            qml-module-qt-labs-platform,
            qml-module-qtquick-dialogs,
Breaks: baloo-kf5 (<< 5.5),
        kactivities,
        kde-config-touchpad (<< 4:5),
        kde-workspace-bin,
        kde-workspace-data,
        kdeplasma-addons-data (<< 4:5.17.5~),
        plasma-widget-kimpanel,
        plasma-widgets-addons (<< 4:5.25.70~),
        ${kde-l10n:all},
Replaces: baloo-kf5 (<< 5.5),
          kactivities,
          kde-config-touchpad (<< 4:5),
          kde-workspace-bin,
          kde-workspace-data,
          kdeplasma-addons-data (<< 4:5.17.5~),
          plasma-widget-kimpanel,
          plasma-widgets-addons (<< 4:5.25.70~),
          ${kde-l10n:all},
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Breaks: kde-config-touchpad (<< 4:5)
Replaces: kde-config-touchpad (<< 4:5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

## plasma-desktop 5.27.12-0ubuntu0.1trisquel1

=== debian/changelog ===
plasma-desktop (4:5.27.12-0ubuntu0.1trisquel1) ecne; urgency=medium

  * Remove kde discover from taskmanager default icons

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Mar 2025 21:29:21 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: plasma-desktop
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,

## plasma-desktop 6.1.5

=== appiumtests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()
find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
    DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
    PURPOSE "Needed for GUI tests"
    URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
    TYPE OPTIONAL
)
if(NOT SeleniumWebDriverATSPI_FOUND AND NOT DEFINED ENV{KDECI_BUILD})
    return()
endif()

add_subdirectory(applets)
add_subdirectory(desktop)

add_test(
    NAME emojiertest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/emojiertest.py --failfast
)
set_tests_properties(emojiertest PROPERTIES TIMEOUT 300 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0")

add_test(
    NAME kcm_plasmasearch_test
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kcm_plasmasearch_test.py
)
set_tests_properties(kcm_plasmasearch_test PROPERTIES TIMEOUT 120)

=== debian/changelog ===
plasma-desktop (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:00:43 +0100

plasma-desktop (4:6.1.4-0ubuntu2) oracular; urgency=medium

  * Restore fonts-noto recommends to match our seed.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Aug 2024 14:00:16 +0100

plasma-desktop (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:43:08 +0100

plasma-desktop (4:6.1.3-1ubuntu1) UNRELEASED; urgency=medium

  * d/contol: 
    - Kubuntu Vcs and maintainer fields.
    - Build without kaccounts build dep until Qt6 version is available.
    - Runtime depend on xdg-user-dirs.
    - Do not recommend plasma-welcome.
  * Do not ship sddm-theme-debian-breeze:
    - debian/control: No sddm-theme-debian-breeze package.
    - d/patches: Exclude add_sddm_debian_breeze patch.
    - Drop package install files.
  * d/patches: 
    - Add Kubuntu kicker/kickoff favourites patch.
    - Drop fix-baloo-compilation patch, fixed upstream.
  * sddm-theme-breeze package: s/debian-theme/ubuntu-theme in default
    install locations.
  * Drop included upstream patch.
  * Recommend fonts-noto-hinted.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Jul 2024 12:47:07 +0100

plasma-desktop (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake. (Closes: #1076636)
  * Drop obsolete Breaks/Replaces relations.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:22 +0200

plasma-desktop (4:6.1.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Re-add Debian-themed SDDM login screen, previously part of
    plasma-workspace.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Jul 2024 01:18:25 +0200

plasma-desktop (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files and new binary package sddm-theme-
    breeze.

  [ Aurélien COUDERC ]
  * Review copyright information.
  * Depend on libkf6kcmutils-bin for launching the KCM configuration panels.
  * Drop obsolete Breaks / Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 11 Jul 2024 17:27:57 +0200

plasma-desktop (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:23:52 +0200

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               kded6-dev,
               kscreenlocker-dev (>= 6.1.5~),
               kwin-dev (>= 4:6.1.5~),
               libaccounts-qt6-dev (>= 1.13~),
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libicu-dev,
               libkf6attica-dev (>= 6.2.0~),
               libkf6auth-dev (>= 6.2.0~),
               libkf6baloo-dev (>= 6.2.0~),
               libkf6codecs-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6globalaccel-dev (>= 6.2.0~),
               libkf6guiaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6newstuff-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6notifyconfig-dev (>= 6.2.0~),
               libkf6package-dev (>= 6.2.0~),
               libkf6runner-dev (>= 6.2.0~),
               libkf6sonnet-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6xmlgui-dev (>= 6.2.0~),
               libkirigami-dev (>= 6.2.0~),
               libksysguard-dev (>= 4:6.1.5~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.1.5~),
               libplasma5support-dev (>= 6.1.5~),
               libplasmaactivities-dev (>= 6.1.5~),
               libplasmaactivitiesstats-dev (>= 6.1.5~),
               libscim-dev,
               libsdl2-dev (>= 2.0.16~),
               libudev-dev,
               libwayland-dev (>= 1.22~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxft-dev,
               libxkbregistry-dev,
               pkgconf,
               plasma-workspace-dev (>= 4:6.1.5~),
               qt6-5compat-dev (>= 6.6.0~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.6.0~),
               wayland-protocols (>= 1.25~),
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-libinput-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-desktop
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:6.1.0~),
         kactivitymanagerd (>= 6.1.0~),
         kde-cli-tools (>= 4:6.1.0~),
         kded6,
         kio6,
         layer-shell-qt (>= 6.1.0~),
         ocean-sound-theme (>= 6.1.0~),
         oxygen-sounds (>= 4:6.1.0~),
         plasma-desktop-data (= ${source:Version}),
         plasma-desktoptheme,
         plasma-integration (>= 6.1.0~),
         plasma-workspace (>= 4:6.1.0~),
         polkit-kde-agent-1 (>= 4:6.1.0~),
         qml6-module-org-kde-activities,
         qml6-module-org-kde-baloo,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-tableview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         xdg-user-dirs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:6.1.0~),
            breeze-gtk-theme (>= 6.1.0~),
            fonts-hack,
            fonts-noto-cjk,
            fonts-noto-hinted,
            fonts-noto-mono,
            fonts-noto-unhinted,
            ibus-data,
            kde-config-gtk-style (>= 4:6.1.0~),
            kde-config-screenlocker (>= 6.1.0~),
            kde-config-sddm (>= 4:6.1.0~),
            kde-style-oxygen-qt6 (>= 4:6.1.0~),
            kgamma (>= 6.1.0~),
            khelpcenter,
            kinfocenter (>= 4:6.1.0~),
            kio-extras,
            kmenuedit (>= 4:6.1.0~),
            kscreen (>= 4:6.1.0~),
            ksshaskpass (>= 4:6.1.0~),
            kwin-wayland (>= 4:6.1.0~) | kwin (>= 4:6.1.0~),
            kwrited (>= 4:6.1.0~),
            libkf6kcmutils-bin,
            libpam-kwallet5 (>= 6.1.0~),
            plasma-browser-integration (>= 6.1.0~),
            plasma-discover (>= 6.1.0~),
            plasma-disks (>= 6.1.0~),
            plasma-firewall (>= 6.1.0~),
            plasma-nm (>= 4:6.1.0~),
            plasma-pa (>= 4:6.1.0~),
            plasma-systemmonitor (>= 6.1.0~),
            plasma-thunderbolt (>= 6.1.0~),
            plasma-vault (>= 6.1.0~),
            powerdevil (>= 4:6.1.0~),
            systemsettings (>= 4:6.1.0~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 6.1.0~),
Suggests: kde-config-flatpak (>= 4:6.1.0~),
Breaks: plasma-workspace (<< 4:6.1.0~),
        user-manager (<< 4:5.20),
Replaces: plasma-workspace (<< 4:6.1.0~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:5.25.70~),
Replaces: plasma-widgets-addons (<< 4:5.25.70~),
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${so:Depends},
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: sddm,
Provides: sddm-theme,
Description: Breeze SDDM theme
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.
